## qterminal 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(qterminal)

include(GNUInstallDirs)

# qterminal version
set(QTERMINAL_VERSION "1.1.0")

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

if(APPLE)
    option(APPLEBUNDLE "Build as qterminal.app bundle" ON)
endif()

# we need qpa/qplatformnativeinterface.h for global shortcut

# Minimum Versions
set(LXQTBT_MINIMUM_VERSION "0.11.0")
set(QTERMWIDGET_MINIMUM_VERSION "1.1.0")
set(QT_MINIMUM_VERSION "5.15.0")

find_package(Qt5Gui ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
if(UNIX)
    find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
    if (NOT APPLE)
        find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
    endif (NOT APPLE)
endif()
find_package(QTermWidget5 ${QTERMWIDGET_MINIMUM_VERSION} REQUIRED)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

include(LXQtPreventInSourceBuilds)
include(LXQtTranslateTs)
include(LXQtTranslateDesktop)
include(LXQtCompilerSettings NO_POLICY_SCOPE)
message(STATUS "Qt version: ${Qt5Core_VERSION}")

# TODO remove Qxt
message(STATUS "Using bundled Qxt...")
set(QXT_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/src/third-party")


if(APPLE)
   find_library(CARBON_LIBRARY Carbon REQUIRED)
   message(STATUS "CARBON_LIBRARY: ${CARBON_LIBRARY}")
elseif(UNIX)
   find_package(X11 REQUIRED)
   message(STATUS "X11_X11_LIB: ${X11_X11_LIB}")
endif()

add_definitions(
    -DQTERMINAL_VERSION=\"${QTERMINAL_VERSION}\"
)

set(EXE_NAME qterminal)

set(QTERM_SRC
    src/main.cpp
    src/mainwindow.cpp
    src/tabbar.cpp
    src/tabwidget.cpp
    src/termwidget.cpp
    src/termwidgetholder.cpp
    src/terminalconfig.cpp
    src/properties.cpp
    src/propertiesdialog.cpp
    src/bookmarkswidget.cpp
    src/fontdialog.cpp
    src/dbusaddressable.cpp
    src/tab-switcher.cpp
)

set(QTERM_MOC_SRC
    src/qterminalapp.h
    src/mainwindow.h
    src/tabbar.h
    src/tabwidget.h
    src/termwidget.h
    src/termwidgetholder.h
    src/propertiesdialog.h
    src/bookmarkswidget.h
    src/fontdialog.h
    src/tab-switcher.h
)

if (Qt5DBus_FOUND)
    add_definitions(-DHAVE_QDBUS)
    QT5_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Window.xml mainwindow.h MainWindow)
    QT5_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Tab.xml termwidgetholder.h TermWidgetHolder)
    QT5_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Terminal.xml termwidget.h TermWidget)
    QT5_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Process.xml qterminalapp.h QTerminalApp)
    set(QTERM_MOC_SRC ${QTERM_MOC_SRC} src/dbusaddressable.h)
    message(STATUS "Building with Qt5DBus support")
endif()

if(NOT QXT_FOUND)
    set(QTERM_SRC ${QTERM_SRC} src/third-party/qxtglobalshortcut.cpp)
    set(QTERM_MOC_SRC ${QTERM_MOC_SRC} src/third-party/qxtglobalshortcut.h)

    if(WIN32)
        set(QTERM_SRC ${QTERM_SRC} src/third-party/qxtglobalshortcut_win.cpp)
    elseif(APPLE)
        set(QTERM_SRC ${QTERM_SRC} src/third-party/qxtglobalshortcut_mac.cpp)
    else()
        set(QTERM_SRC ${QTERM_SRC} src/third-party/qxtglobalshortcut_x11.cpp)
    endif()
endif()

set(QTERM_UI_SRC
    src/forms/qterminal.ui
    src/forms/propertiesdialog.ui
    src/forms/bookmarkswidget.ui
    src/forms/fontdialog.ui
)

set(QTERM_RCC_SRC
    src/icons.qrc
)

qt5_wrap_ui( QTERM_UI ${QTERM_UI_SRC} )
qt5_wrap_cpp( QTERM_MOC ${QTERM_MOC_SRC} )
qt5_add_resources( QTERM_RCC ${QTERM_RCC_SRC} )
lxqt_translate_ts(QTERM_QM
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${QTERM_SRC}
        ${QTERM_UI_SRC}
        ${QTERM_MOC_SRC}
    TRANSLATION_DIR "src/translations"
)

lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        qterminal.desktop.in
        qterminal-drop.desktop.in
    TRANSLATION_DIR "src/translations"
    USE_YAML
)

include_directories(
    "${PROJECT_SOURCE_DIR}"
    "${PROJECT_SOURCE_DIR}/src"
    "${PROJECT_BINARY_DIR}"
    ${QXT_INCLUDE_DIRS}
)
if(X11_FOUND)
    include_directories("${X11_INCLUDE_DIR}")
endif()


# TODO/FIXME: apple bundle
set(GUI_TYPE "")
set(APPLE_BUNDLE_SOURCES "")
if(APPLEBUNDLE)
    add_definitions(-DAPPLE_BUNDLE)
    set(GUI_TYPE MACOSX_BUNDLE)

    # create Info.plist file
    set(MACOSX_BUNDLE_ICON_FILE qterminal.icns)
    set(MACOSX_BUNDLE_INFO_STRING "QTerminal ${QTERMINAL_VERSION}")
    set(MACOSX_BUNDLE_GUI_IDENTIFIER "com.qterminal")
    set(MACOSX_BUNDLE_LONG_VERSION_STRING "${QTERMINAL_VERSION}")
    set(MACOSX_BUNDLE_BUNDLE_NAME "${EXE_NAME}")
    set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${QTERMINAL_VERSION}")
    set(MACOSX_BUNDLE_BUNDLE_VERSION "${QTERMINAL_VERSION}")
    set(MACOSX_BUNDLE_COPYRIGHT "(c) Petr Vanek &lt;petr@yarpen.cz&gt;")

    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/src/macosx/qterminal.icns"
        PROPERTIES MACOSX_PACKAGE_LOCATION Resources
    )
    # use icon for app bundle to be visible in finder
    set(APPLE_BUNDLE_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/src/macosx/qterminal.icns")
else()
    set(TRANSLATIONS_DIR "${CMAKE_INSTALL_FULL_DATADIR}/qterminal/translations")
    add_definitions(-DTRANSLATIONS_DIR=\"${TRANSLATIONS_DIR}\")
endif()

add_executable(${EXE_NAME} ${GUI_TYPE}
    ${QTERM_SRC}
    ${QTERM_UI}
    ${QTERM_MOC}
    ${QTERM_RCC}
    ${APPLE_BUNDLE_SOURCES}
    ${QTERM_QM}
    ${DESKTOP_FILES}
)

target_link_libraries(${EXE_NAME}
    Qt5::Gui
    qtermwidget5
    util
)
if(QXT_FOUND)
    target_link_libraries(${EXE_NAME} ${QXT_CORE_LIB} ${QXT_GUI_LIB})
endif()

if (Qt5DBus_FOUND)
    target_link_libraries(${EXE_NAME} ${Qt5DBus_LIBRARIES})
endif()

if(APPLE)
    target_link_libraries(${EXE_NAME} ${CARBON_LIBRARY})
elseif(UNIX)
    target_link_libraries(${EXE_NAME} Qt5::X11Extras)
endif()

if(X11_FOUND)
    target_link_libraries(${EXE_NAME} ${X11_X11_LIB})
endif()

set(APP_DIR "${CMAKE_INSTALL_FULL_DATADIR}/qterminal")
add_definitions(-DAPP_DIR=\"${APP_DIR}\")

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATADIR}/applications"
)

install(FILES
    qterminal.metainfo.xml
    DESTINATION "${CMAKE_INSTALL_DATADIR}/metainfo"
)

install(FILES
    qterminal_bookmarks_example.xml
    DESTINATION ${APP_DIR}
)

if(NOT APPLEBUNDLE)
    install(TARGETS ${EXE_NAME} RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
    install(FILES ${QTERM_QM} DESTINATION ${TRANSLATIONS_DIR})
    install(FILES src/icons/qterminal.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/64x64/apps")
else()
    message(STATUS "Building qterminal.app bundle")

    install(CODE "message(STATUS \"Cleaning previously installed bundle (rm -r)\")")
    install(CODE "execute_process(COMMAND rm -r ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app)")

    install(TARGETS ${EXE_NAME} DESTINATION "${CMAKE_INSTALL_PREFIX}")

    # helper stuff to create real apple bundle.
    # Black magic is summoned here...
    if(APPLEBUNDLE_STANDALONE)
        message(STATUS "APPLEBUNDLE_STANDALONE")
        configure_file("${CMAKE_SOURCE_DIR}/bundle.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/bundle.cmake" @ONLY)
        install(SCRIPT "${CMAKE_SOURCE_DIR}/bundle.cmake")
    endif()

    # bundle required keytabs from the qtermwidget package as well
    install(CODE "message(STATUS \"Bundling (cp) keytab files from ${QTERMWIDGET_SHARE}/qtermwidget/\")")
    install(CODE "execute_process(COMMAND cp -r ${QTERMWIDGET_SHARE}/qtermwidget/ ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app/Contents/Resources)")

    install(FILES ${QTERM_QM} DESTINATION ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app/Contents/Resources/translations)

    # Workaround https://bugreports.qt.io/browse/QTBUG-63324
    add_custom_command(TARGET ${EXE_NAME} POST_BUILD
        COMMAND "${CMAKE_COMMAND}" -E touch "${CMAKE_CURRENT_BINARY_DIR}/${EXE_NAME}.app/Contents/Resources/empty.lproj"
        COMMENT "Creating Resources/empty.lproj")
endif()

=== debian/changelog ===
qterminal (1.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Sep 2022 14:16:49 -0700

qterminal (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.
  * Bump build dependencies.
  * Bump Standards-version to 4.6.1, no changes needed.
  * Bump debhelper compat to 13, no changes needed.
  * Drop some old Breaks/Replaces.
  * Upstream some useful changes from Ubuntu so we can sync.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 14 Jul 2022 14:26:41 -0500

=== debian/control ===
Source: qterminal
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqtermwidget5-1-dev (>= 1.1.0),
               libutf8proc-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.11.0)
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/qterminal
Vcs-Git: https://salsa.debian.org/lxqt-team/qterminal.git
Homepage: https://github.com/lxqt/qterminal

Package: qterminal
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         qterminal-l10n
Provides: x-terminal-emulator
Description: Lightweight Qt terminal emulator
 QTerminal is a lightweight terminal emulator based on QTermWidget.
 .
 Among other it features
   * Split terminals (horizontally and vertically).
   * Multiple tabs.
   * Customizable shortcuts.
   * Various color schemes.

Package: qterminal-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for qterminal
 The l10n files for qterminal.
 .
 This package contains the l10n files needed by qterminal.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

# No dbgsym package:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## qterminal 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,10 @@
 include(GNUInstallDirs)
 
 # qterminal version
-set(QTERMINAL_VERSION "1.1.0")
+set(QTERMINAL_VERSION "1.2.0")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
+option(BUILD_TESTS "Builds tests" ON)
 
 if(APPLE)
     option(APPLEBUNDLE "Build as qterminal.app bundle" ON)
@@ -20,8 +21,8 @@
 # we need qpa/qplatformnativeinterface.h for global shortcut
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.11.0")
-set(QTERMWIDGET_MINIMUM_VERSION "1.1.0")
+set(LXQTBT_MINIMUM_VERSION "0.12.0")
+set(QTERMWIDGET_MINIMUM_VERSION "1.2.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Gui ${QT_MINIMUM_VERSION} REQUIRED)
@@ -35,6 +36,10 @@
 endif()
 find_package(QTermWidget5 ${QTERMWIDGET_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+
+if (BUILD_TESTS)
+    find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Test)
+endif()
 
 include(LXQtPreventInSourceBuilds)
 include(LXQtTranslateTs)
@@ -75,6 +80,7 @@
     src/fontdialog.cpp
     src/dbusaddressable.cpp
     src/tab-switcher.cpp
+    src/qterminalutils.cpp
 )
 
 set(QTERM_MOC_SRC
@@ -265,3 +271,8 @@
         COMMAND "${CMAKE_COMMAND}" -E touch "${CMAKE_CURRENT_BINARY_DIR}/${EXE_NAME}.app/Contents/Resources/empty.lproj"
         COMMENT "Creating Resources/empty.lproj")
 endif()
+
+if(BUILD_TESTS)
+    enable_testing()
+    add_subdirectory(test)
+endif()

=== debian/changelog ===
qterminal (1.2.0-2ubuntu1) lunar; urgency=medium

  * Reverted a sync from Debian.
  * Added myself and Simon to Uploaders.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Removed obsolete '-Wl,--as-needed' linker flag from debian/rules.
  * Removed obsolete 'override_dh_missing' section from debian/rules.
  * Overhauled copyright file.
  * Added 'Rules-Requires-Root: no' to debian/control.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 17 Feb 2023 01:22:28 -0600

qterminal (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies in debian/control.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Nov 2022 19:15:47 -0600

=== debian/control ===
Source: qterminal
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Aaron Rainbolt <arraybolt3@ubuntu.com>,
           Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqtermwidget5-1-dev (>= 1.2.0),
               libutf8proc-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.12.0)
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/qterminal-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/qterminal-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/qterminal
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/qterminal.git
Homepage: https://github.com/lxqt/qterminal
Rules-Requires-Root: no

Package: qterminal
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qterminal-l10n
Provides: x-terminal-emulator
Description: Lightweight Qt terminal emulator
 QTerminal is a lightweight terminal emulator based on QTermWidget.
 .
 Among other it features
   * Split terminals (horizontally and vertically).
   * Multiple tabs.
   * Customizable shortcuts.
   * Various color schemes.

Package: qterminal-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for qterminal
 The l10n files for qterminal.
 .
 This package contains the l10n files needed by qterminal.

## qterminal 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include(GNUInstallDirs)
 
 # qterminal version
-set(QTERMINAL_VERSION "1.2.0")
+set(QTERMINAL_VERSION "1.3.0")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 option(BUILD_TESTS "Builds tests" ON)
@@ -21,8 +21,8 @@
 # we need qpa/qplatformnativeinterface.h for global shortcut
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.12.0")
-set(QTERMWIDGET_MINIMUM_VERSION "1.2.0")
+set(LXQTBT_MINIMUM_VERSION "0.13.0")
+set(QTERMWIDGET_MINIMUM_VERSION "1.3.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Gui ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
qterminal (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 09:52:33 -0500

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqtermwidget5-1-dev (>= 1.2.0),
+               libqtermwidget5-1-dev (>= 1.3.0),
                libutf8proc-dev,
                libx11-dev,
-               lxqt-build-tools (>= 0.12.0)
+               lxqt-build-tools (>= 0.13.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/qterminal-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/qterminal-packaging.git

## qterminal 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include(GNUInstallDirs)
 
 # qterminal version
-set(QTERMINAL_VERSION "1.3.0")
+set(QTERMINAL_VERSION "1.4.0")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 option(BUILD_TESTS "Builds tests" ON)
@@ -22,7 +22,7 @@
 
 # Minimum Versions
 set(LXQTBT_MINIMUM_VERSION "0.13.0")
-set(QTERMWIDGET_MINIMUM_VERSION "1.3.0")
+set(QTERMWIDGET_MINIMUM_VERSION "1.4.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Gui ${QT_MINIMUM_VERSION} REQUIRED)
@@ -42,6 +42,8 @@
 endif()
 
 include(LXQtPreventInSourceBuilds)
+include(FindPkgConfig)
+pkg_check_modules(LIBCANBERRA libcanberra)
 include(LXQtTranslateTs)
 include(LXQtTranslateDesktop)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
@@ -222,6 +224,12 @@
     target_link_libraries(${EXE_NAME} ${X11_X11_LIB})
 endif()
 
+if(LIBCANBERRA_FOUND)
+    add_definitions(-DHAVE_LIBCANBERRA)
+    include_directories(${LIBCANBERRA_INCLUDE_DIRS})
+    target_link_libraries(${EXE_NAME} ${LIBCANBERRA_LIBRARIES})
+endif()
+
 set(APP_DIR "${CMAKE_INSTALL_FULL_DATADIR}/qterminal")
 add_definitions(-DAPP_DIR=\"${APP_DIR}\")

=== test/CMakeLists.txt ===
qt5_wrap_cpp(QTERM_TEST_MOC qterminal_test.h)
add_executable(qterminal_test
    qterminal_test.cpp
    ${CMAKE_SOURCE_DIR}/src/qterminalutils.cpp
    ${QTERM_TEST_MOC})
target_link_libraries(qterminal_test Qt5::Test)
add_test(NAME qterminal_test COMMAND qterminal_test)

=== debian/changelog ===
qterminal (1.4.0-2) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078312)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

 -- Macy Lin <macy@debconf.org>  Wed, 11 Sep 2024 02:02:01 +0800

qterminal (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * debian/control: build-deps on libqtermwidget5-1-dev (>= 1.4.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 12 Dec 2023 11:54:19 +0100

qterminal (1.3.0-1) unstable; urgency=medium

  * debian/control: update team address.
  * debian/control: build-deps on libqtermwidget5-1-dev (>= 1.3.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 0.13.0~).
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/copyright: update
  * New upstream version 1.3.0

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Sep 2023 21:26:17 +0200

qterminal (1.2.0-2) unstable; urgency=medium

  * Merge to unstable.
  * Update d/copyright.
  * Add Rules-Requires-Root: no.
  * Remove the following unnecessary config in d/rules:
    * -Wl,--as-needed
    * --fail-missing

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 03 Dec 2022 02:29:51 +0800

qterminal (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix d/watch for GitHub.
  * Reformat d/control Depends.
  * Reformat d/copyright to sort by copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 23 Nov 2022 17:25:10 +0800

=== debian/control ===
Source: qterminal
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqtermwidget5-1-dev (>= 1.4.0~),
               libutf8proc-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.13.0~),
               qttools5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/qterminal
Vcs-Git: https://salsa.debian.org/lxqt-team/qterminal.git
Homepage: https://github.com/lxqt/qterminal
Rules-Requires-Root: no

Package: qterminal
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: qterminal-l10n
Provides: x-terminal-emulator
Description: Lightweight Qt terminal emulator
 QTerminal is a lightweight terminal emulator based on QTermWidget.
 .
 Among other it features
   * Split terminals (horizontally and vertically).
   * Multiple tabs.
   * Customizable shortcuts.
   * Various color schemes.

Package: qterminal-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for qterminal
 The l10n files for qterminal.
 .
 This package contains the l10n files needed by qterminal.

## qterminal 2.0.1

=== debian/changelog ===
qterminal (2.0.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Add layer-shell-qt to build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:28:10 -0500

qterminal (2.0.0-0ubuntu1~ppa1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 26 Jun 2024 13:13:17 -0500

qterminal (1.3.0-0ubuntu2) noble; urgency=medium

  * Bump build dependencies, for real this time.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 14 Nov 2023 15:29:27 -0600

=== debian/control ===
Source: qterminal
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Aaron Rainbolt <arraybolt3@ubuntu.com>,
           Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               layer-shell-qt,
               libcanberra-dev,
               libkf6windowsystem-dev,
               liblayershellqtinterface-dev,
               libqtermwidget6-2-dev (>= 2.0.1),
               libutf8proc-dev,
               libx11-dev,
               lxqt-build-tools (>= 2.0.0),
               qt6-svg-dev,
               qt6-wayland-dev
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/qterminal-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/qterminal-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/qterminal
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/qterminal.git
Homepage: https://github.com/lxqt/qterminal
Rules-Requires-Root: no

Package: qterminal
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qterminal-l10n
Provides: x-terminal-emulator
Description: Lightweight Qt terminal emulator
 QTerminal is a lightweight terminal emulator based on QTermWidget.
 .
 Among other it features
   * Split terminals (horizontally and vertically).
   * Multiple tabs.
   * Customizable shortcuts.
   * Various color schemes.

Package: qterminal-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for qterminal
 The l10n files for qterminal.
 .
 This package contains the l10n files needed by qterminal.

## qterminal 2.1.0

=== debian/changelog ===
qterminal (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 13 Dec 2024 00:37:50 +0800

qterminal (2.0.1-1) unstable; urgency=medium

  * Migrate to unstable.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 21:25:35 +0100

qterminal (2.0.1-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.1
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: bump dep on libqtermwidget5-1-dev -> libqtermwidget-
    dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep on libqt5svg5-dev -> qt6-svg-dev
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on lxqt-build-tools (>= 2.0.0+really2.0.0~)
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev

  [ EiPiFun ]
  * Add new dependencies

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/salsa-ci.yml: build against to experimental.
  * debian/copyright: update.
  * New upstream version 2.0.1

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 07 Oct 2024 20:29:19 +0200

=== debian/control ===
Source: qterminal
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               liblayershellqtinterface-dev (>= 6.1.0),
               libqtermwidget-dev (>= 2.0.1~),
               libutf8proc-dev,
               libx11-dev,
               lxqt-build-tools (>= 2.0.0+really2.0.0~),
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/qterminal
Vcs-Git: https://salsa.debian.org/lxqt-team/qterminal.git
Homepage: https://github.com/lxqt/qterminal
Rules-Requires-Root: no

Package: qterminal
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qterminal-l10n
Provides: x-terminal-emulator
Description: Lightweight Qt terminal emulator
 QTerminal is a lightweight terminal emulator based on QTermWidget.
 .
 Among other it features
   * Split terminals (horizontally and vertically).
   * Multiple tabs.
   * Customizable shortcuts.
   * Various color schemes.

Package: qterminal-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for qterminal
 The l10n files for qterminal.
 .
 This package contains the l10n files needed by qterminal.

## qterminal 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -9,7 +9,7 @@
 include(GNUInstallDirs)
 
 # qterminal version
-set(QTERMINAL_VERSION "1.4.0")
+set(QTERMINAL_VERSION "2.2.1")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 option(BUILD_TESTS "Builds tests" ON)
@@ -21,24 +21,26 @@
 # we need qpa/qplatformnativeinterface.h for global shortcut
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.13.0")
-set(QTERMWIDGET_MINIMUM_VERSION "1.4.0")
-set(QT_MINIMUM_VERSION "5.15.0")
-
-find_package(Qt5Gui ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+set(LXQTBT_MINIMUM_VERSION "2.2.0")
+set(QTERMWIDGET_MINIMUM_VERSION "2.2.0")
+set(QT_MINIMUM_VERSION "6.6.0")
+set(QT_MAJOR_VERSION "6")
+set(SHELLQT_MINIMUM_VERSION "6.0.0")
+
+find_package(Qt6Core ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6Gui ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(LayerShellQt ${SHELLQT_MINIMUM_VERSION} REQUIRED)
 if(UNIX)
-    find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
-    if (NOT APPLE)
-        find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
-    endif (NOT APPLE)
-endif()
-find_package(QTermWidget5 ${QTERMWIDGET_MINIMUM_VERSION} REQUIRED)
-find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+    find_package(Qt6DBus ${QT_MINIMUM_VERSION} REQUIRED)
+    find_package(Qt6 COMPONENTS Core REQUIRED)
+endif()
+find_package(QTermWidget6 ${QTERMWIDGET_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 if (BUILD_TESTS)
-    find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Test)
+    find_package(Qt6 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Test)
 endif()
 
 include(LXQtPreventInSourceBuilds)
@@ -47,12 +49,11 @@
 include(LXQtTranslateTs)
 include(LXQtTranslateDesktop)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
-message(STATUS "Qt version: ${Qt5Core_VERSION}")
+message(STATUS "Qt version: ${Qt6Core_VERSION}")
 
 # TODO remove Qxt
 message(STATUS "Using bundled Qxt...")
 set(QXT_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/src/third-party")
-
 
 if(APPLE)
    find_library(CARBON_LIBRARY Carbon REQUIRED)
@@ -98,14 +99,15 @@
     src/tab-switcher.h
 )
 
-if (Qt5DBus_FOUND)
+if (Qt6DBus_FOUND)
     add_definitions(-DHAVE_QDBUS)
-    QT5_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Window.xml mainwindow.h MainWindow)
-    QT5_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Tab.xml termwidgetholder.h TermWidgetHolder)
-    QT5_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Terminal.xml termwidget.h TermWidget)
-    QT5_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Process.xml qterminalapp.h QTerminalApp)
+    QT6_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Window.xml mainwindow.h MainWindow)
+    QT6_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Tab.xml termwidgetholder.h TermWidgetHolder)
+    QT6_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Terminal.xml termwidget.h TermWidget)
+    QT6_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Process.xml qterminalapp.h QTerminalApp)
+
     set(QTERM_MOC_SRC ${QTERM_MOC_SRC} src/dbusaddressable.h)
-    message(STATUS "Building with Qt5DBus support")
+    message(STATUS "Building with Qt6DBus support")
 endif()
 
 if(NOT QXT_FOUND)
@@ -132,9 +134,10 @@
     src/icons.qrc
 )
 
-qt5_wrap_ui( QTERM_UI ${QTERM_UI_SRC} )
-qt5_wrap_cpp( QTERM_MOC ${QTERM_MOC_SRC} )
-qt5_add_resources( QTERM_RCC ${QTERM_RCC_SRC} )
+qt6_wrap_ui( QTERM_UI ${QTERM_UI_SRC} )
+qt6_wrap_cpp( QTERM_MOC ${QTERM_MOC_SRC} )
+qt6_add_resources( QTERM_RCC ${QTERM_RCC_SRC} )
+
 lxqt_translate_ts(QTERM_QM
     UPDATE_TRANSLATIONS
         ${UPDATE_TRANSLATIONS}
@@ -202,22 +205,22 @@
 )
 
 target_link_libraries(${EXE_NAME}
-    Qt5::Gui
-    qtermwidget5
-    util
+    Qt6::Core
+    Qt6::Gui
+    Qt6::Widgets
+    qtermwidget6
+    LayerShellQtInterface
 )
 if(QXT_FOUND)
     target_link_libraries(${EXE_NAME} ${QXT_CORE_LIB} ${QXT_GUI_LIB})
 endif()
 
-if (Qt5DBus_FOUND)
-    target_link_libraries(${EXE_NAME} ${Qt5DBus_LIBRARIES})
+if (Qt6DBus_FOUND)
+    target_link_libraries(${EXE_NAME} ${Qt6DBus_LIBRARIES})
 endif()
 
 if(APPLE)
     target_link_libraries(${EXE_NAME} ${CARBON_LIBRARY})
-elseif(UNIX)
-    target_link_libraries(${EXE_NAME} Qt5::X11Extras)
 endif()
 
 if(X11_FOUND)

=== test/CMakeLists.txt ===
# Check if QT_MAJOR_VERSION was not defined
if(NOT DEFINED QT_MAJOR_VERSION)
    message(FATAL_ERROR "QT_MAJOR_VERSION not set.")
endif()

# Use appropriate wrap_cpp command based on QT_MAJOR_VERSION
if("${QT_MAJOR_VERSION}" STREQUAL "5")
    qt5_wrap_cpp(QTERM_TEST_MOC qterminal_test.h)
    set(QT_TEST_LIB Qt5::Test)
elseif("${QT_MAJOR_VERSION}" STREQUAL "6")
    qt6_wrap_cpp(QTERM_TEST_MOC qterminal_test.h)
    set(QT_TEST_LIB Qt6::Test)
else()
    message(FATAL_ERROR "Unsupported QT_MAJOR_VERSION: ${QT_MAJOR_VERSION}")
endif()

add_executable(qterminal_test
    qterminal_test.cpp
    ${CMAKE_SOURCE_DIR}/src/qterminalutils.cpp
    ${QTERM_TEST_MOC})

target_link_libraries(qterminal_test ${QT_TEST_LIB})

add_test(NAME qterminal_test COMMAND qterminal_test)

=== debian/changelog ===
qterminal (2.2.1-1) unstable; urgency=medium

  * Team upload to unstable.
  * New upstream version 2.2.1. (Closes: #1097751)
  * debian/copyright: update.
  * debian/control: build-deps on liblayershellqtinterface-dev (>= 6.3.4).
  * debian/control: build-deps on libqtermwidget-dev (>= 2.2.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 2.2.0~).
  * debian/control: bump to Standards-version to 4.7.2.
  * debian/copyright: update LXQT Team year.

 -- Macy Lin <macy@debconf.org>  Sun, 17 Aug 2025 22:47:21 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf6windowsystem-dev,
-               liblayershellqtinterface-dev (>= 6.1.0),
-               libqtermwidget-dev (>= 2.0.1~),
+               liblayershellqtinterface-dev (>= 6.3.4),
+               libqtermwidget-dev (>= 2.2.0~),
                libutf8proc-dev,
                libx11-dev,
-               lxqt-build-tools (>= 2.0.0+really2.0.0~),
+               lxqt-build-tools (>= 2.2.0~),
                qt6-svg-dev,
                qt6-tools-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qterminal
 Vcs-Git: https://salsa.debian.org/lxqt-team/qterminal.git
 Homepage: https://github.com/lxqt/qterminal

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## qterminal 2.3.0

=== debian/changelog ===
qterminal (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.0
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/control: build-deps on libqtermwidget-dev (>= 2.3.0~).

 -- Macy Lin <macy@debconf.org>  Mon, 22 Dec 2025 17:50:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                libkf6windowsystem-dev,
                liblayershellqtinterface-dev (>= 6.3.4),
-               libqtermwidget-dev (>= 2.2.0~),
+               libqtermwidget-dev (>= 2.3.0~),
                libutf8proc-dev,
                libx11-dev,
-               lxqt-build-tools (>= 2.2.0~),
+               lxqt-build-tools (>= 2.3.0~),
                qt6-svg-dev,
                qt6-tools-dev
 Standards-Version: 4.7.2
